Skip to main content
`Ctrl`+`K`

# PetscObjectGetTabLevel

Gets the number of tabs that `PETSCVIEWERASCII` output for that object uses

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetTabLevel(PetscObject obj, PetscInt *tab)

Not Collective

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`), for example, `PetscObjectGetTabLevel`((`PetscObject`)mat,&tab);

## Output Parameter

- tab - the number of tabs

## Note

This is used to manage the output from options that are embedded in other objects. For example the `KSP` object inside a `SNES` object. By indenting each lower level further the hierarchy of objects is clear.

## See Also

`PetscObjectIncrementTabLevel()`, `PetscObjectSetTabLevel()`, `PETSCVIEWERASCII`, `PetscObject`

## Level

developer

## Location

src/sys/objects/gcomm.c

## Examples

src/ts/tutorials/ex77.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages